<?php
	require ('conn.inc');
	if (!isset($_FILES['lob_upload'])) {
		// Gdy nic nie załadowano, wyświetl formularz.
		echo '
			<form action="blob_ins.php"
			method="POST" enctype="multipart/form-data">
			Wybierz plik: <input type="file" name="lob_upload">
			<input type="submit" value="Załaduj">
			</form> ';
	} else {
		// Gdy wybrany w formularzu jakiś plik.
		$myblob_id = 1; 
		$conn = oci_connect(USER, PASS, CONN);

		// Wykasuj istniejącego BLOB-a.
		$query = 'DELETE FROM blob_tab WHERE blob_id = :myblob_id';
		$stmt = oci_parse ($conn, $query);
		oci_bind_by_name($stmt, ':myblob_id', $myblob_id);
		$e = oci_execute($stmt);

		// Wstaw do bazy BLOB-a z 'temporary upload area' PHP
		$lob = oci_new_descriptor($conn, OCI_D_LOB);
		$stmt = oci_parse($conn, 
			'INSERT INTO blob_tab (blob_id, blob_data) ' .
			'VALUES (:myblob_id, empty_blob()) ' . 
			'RETURNING blob_data INTO :blob_data');
		oci_bind_by_name($stmt, ':myblob_id', $myblob_id);
		oci_bind_by_name($stmt, ':blob_data', $lob, -1, OCI_B_BLOB);
		oci_execute($stmt, OCI_DEFAULT);  
		if ($lob->savefile($_FILES['lob_upload']['tmp_name'])) {
			oci_commit($conn);
			echo "BLOB załadowany do bazy";
		} else {
			echo "Problem z załadowaniem do bazy BLOB-a";
		}
		$lob->free();
	}
?>
