<?php
/************************************************************************
UWAGA!!!
PRZED oraz PO znacznikach php nie może być ŻADNYCH dodatkowych znaków. 
Nawet pojedyncza spacja lub znak końca linii powoduje, że próba wyświetlenia 
zawartości BLOB-a (plik blob_view.php) da błąd pokazany na poprzednim slajdu. 

Gdy pliki są kodowane w UTF8 muszą być zakodowane tak, aby nie zapisywał 
się tzw. BOM. Czyli np. w Notepad++, gdy chcemy zapisać plik w UTF8 musimy 
wybrać opcję "Encode in UTF8 without BOM" a nie "Encode in UTF8"
(na początku tak zakodowanego pliku wstawiane są trzy bajty danych, 
szesnastkowo: EF BB BF).

Uwaga 1 z dokumentacji: 
-----------------------
"The UTF-8 BOM is a sequence of bytes (EF BB BF) that allows the reader 
to identify a file as being encoded in UTF-8."
oraz 
"According to the Unicode standard, the BOM for UTF-8 files is not recommended:"

Uwaga 2 z dokumentacji 
----------------------
(php.net/manual/en/function.header.php) 
"It is a very common error to read code with include, or require, 
functions, or another file access function, and have spaces or empty 
lines that are output before header() is called."
*************************************************************************/
//	define('USER', 'scott');
//	define('PASS', 'tiger');
//	define('CONN', 'delos.iie.uz.zgora.pl:1521/orcl.iie.uz.zgora.pl');

	define('USER', 'scott');
	define('PASS', 'tiger');
	define('CONN', 'localhost:9999/orcl.iie.uz.zgora.pl');
?>